:root {
  --color-bg: rgba(242, 242, 242, 0.1);

  --color-primary: #1F2041;
  --color-primary-75: rgba(31, 32, 65, .75);
  --color-primary-50: rgba(31, 32, 65, .5);
  --color-primary-25: rgba(31, 32, 65, .25);
  --color-primary-05: rgba(31, 32, 65, .05);

  --color-primary-blue: #428DFF;
  --color-primary-blue-50: rgba(66, 141, 255, .5);
}

body {
  margin: 0;
  font-family: "PingFang HK", sans-serif;
  background-color: var(--color-bg);
}

* {
  box-sizing: border-box;
}

.container {
  display: flex;
}

.custom-button {
  height: 44px;
  background: var(--color-primary-blue);
  border: none;
  border-radius: 5px;
  font-family: "PingFang HK", sans-serif;
  font-size: 14px;
  color: white;
  cursor: pointer;
}

.custom-button:hover {
  background: var(--color-primary-blue-50);
}

.custom-delete-note-button {
  width: 24px;
  height: 24px;
  align-self: center;
  background: transparent;
  border: 1px solid var(--color-primary);
  border-radius: 5px;
  opacity: 0.25;
  cursor: pointer;

  display: flex;
  flex-direction: column;
  align-items: center;
}
.custom-delete-note-button:hover {
  opacity: 0.5;
}
.custom-delete-note-button:before, .custom-delete-note-button:after {
  position: absolute;
  content: ' ';
  height: 20px;
  width: 1px;
  background-color: var(--color-primary);
}
.custom-delete-note-button:before {
  transform: rotate(45deg);
}
.custom-delete-note-button:after {
  transform: rotate(-45deg);
}
